org.apache.hadoop.ipc.protobuf

## Interface RpcHeaderProtos.RPCTraceInfoProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    RpcHeaderProtos.RPCTraceInfoProto, RpcHeaderProtos.RPCTraceInfoProto.Builder
  Enclosing class:
    RpcHeaderProtos

      public static interface RpcHeaderProtos.RPCTraceInfoProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getParentId()` `optional int64 parentId = 2;`
    `long` | `getTraceId()` `optional int64 traceId = 1;`
    `boolean` | `hasParentId()` `optional int64 parentId = 2;`
    `boolean` | `hasTraceId()` `optional int64 traceId = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasTraceId

          boolean hasTraceId()

      `optional int64 traceId = 1;`

           parentIdHigh

    - #### getTraceId

          long getTraceId()

      `optional int64 traceId = 1;`

           parentIdHigh

    - #### hasParentId

          boolean hasParentId()

      `optional int64 parentId = 2;`

           parentIdLow

    - #### getParentId

          long getParentId()

      `optional int64 parentId = 2;`

           parentIdLow

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.